FROM openshift/golang-builder:1.11 AS builder
ENV __doozer=update BUILD_RELEASE=202005252115 BUILD_VERSION=v4.2.34 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=34 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.34-202005252115 
ENV __doozer=merge OS_GIT_COMMIT=0ea559c OS_GIT_VERSION=4.2.34-202005252115-0ea559c SOURCE_DATE_EPOCH=1576781655 SOURCE_GIT_COMMIT=0ea559ca1490d7bea4fb7ee6c3619b7696b2ef49 SOURCE_GIT_TAG=0ea559c SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
WORKDIR /go/src/github.com/openshift/cluster-autoscaler-operator
COPY . .
ENV NO_DOCKER=1
ENV BUILD_DEST=/go/bin/cluster-autoscaler-operator
RUN unset VERSION && make build

FROM openshift/ose-base:v4.2.34.20200525.211548
ENV __doozer=update BUILD_RELEASE=202005252115 BUILD_VERSION=v4.2.34 OS_GIT_MAJOR=4 OS_GIT_MINOR=2 OS_GIT_PATCH=34 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.2.34-202005252115 
ENV __doozer=merge OS_GIT_COMMIT=0ea559c OS_GIT_VERSION=4.2.34-202005252115-0ea559c SOURCE_DATE_EPOCH=1576781655 SOURCE_GIT_COMMIT=0ea559ca1490d7bea4fb7ee6c3619b7696b2ef49 SOURCE_GIT_TAG=0ea559c SOURCE_GIT_URL=https://github.com/openshift/cluster-autoscaler-operator 
COPY --from=builder /go/bin/cluster-autoscaler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-autoscaler-operator/install /manifests
CMD ["/usr/bin/cluster-autoscaler-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-autoscaler-operator" \
        com.redhat.component="ose-cluster-autoscaler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        version="v4.2.34" \
        release="202005252115" \
        io.openshift.build.commit.id="0ea559ca1490d7bea4fb7ee6c3619b7696b2ef49" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-autoscaler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-autoscaler-operator/commit/0ea559ca1490d7bea4fb7ee6c3619b7696b2ef49"

